# class MGCPEpInfo | Remote endpoint info class. More...
Full name | `TelEngine::MGCPEpInfo`
Definition | `#include <libs/ymgcp/yatemgcp.h>`
Inherits | TelEngine::GenObject [public ], TelEngine::MGCPEndpointId [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline MGCPEpInfo (const char* endpoint, const char* host, int port, bool addPort = true)
- virtual const String& toString () const
- inline const SocketAddr& address () const
- const SocketAddr& address ()
- inline void address (const SocketAddr& addr)

#### Public Members

- String alias

## Detailed Description

This class holds data about a remote endpoint (id and address)

inline MGCPEpInfo (const char* endpoint, const char* host, int port, bool addPort = true) | ### MGCPEpInfo

Constructor. Construct this endpoint info

Parameters:

endpoint | The endpoint part of the endpoint's id
host | The IP address of this endpoint
port | The port used to send data to this endpoint
addPort | Add :port at end of id only if port is not zero

const String& toString () | ### toString

[const virtual]

Get a string representation of this object

Returns: The endpoint's id

Reimplemented from GenObject.

inline const SocketAddr& address () | ### address

[const]

Retrieve the current address for this endpoint information

Returns: Address and port of this endpoint info

const SocketAddr& address () | ### address

Retrieve the address for this endpoint information, resolve name if needed

Returns: Address and port of this endpoint info

inline void address (const SocketAddr& addr) | ### address

Set a new socket address in the endpoint info

Parameters:

addr | New address and port to set in the endpoint

String alias | ### alias

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.